Daily realized P&L (production)
curl --request GET \
--url https://api.bullionwale.com/api/trading/v1/pnl/daily \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.bullionwale.com/api/trading/v1/pnl/daily"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"days": [
{
"closed_orders": 123,
"date": "<string>",
"realized_pnl": "<string>"
}
],
"environment": "<string>",
"from": "<string>",
"realized_pnl": "<string>",
"to": "<string>"
}{
"detail": {
"code": "<string>",
"message": "<string>"
}
}{
"detail": {
"code": "<string>",
"message": "<string>"
}
}{
"detail": {
"code": "<string>",
"message": "<string>"
}
}{
"detail": {
"code": "<string>",
"message": "<string>"
}
}Profit & loss
Daily realized P&L (production)
Switched off. Production trading is implemented but not available: orders are refused with 403 production_trading_disabled. Once it opens, Bullionwale enables production access per account (see Production access requirements).
Realized P&L per IST day the orders closed, oldest first. Every day of the range is listed. Default: the last 30 days; at most 366 days.
Daily realized P&L (production)
curl --request GET \
--url https://api.bullionwale.com/api/trading/v1/pnl/daily \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.bullionwale.com/api/trading/v1/pnl/daily"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"days": [
{
"closed_orders": 123,
"date": "<string>",
"realized_pnl": "<string>"
}
],
"environment": "<string>",
"from": "<string>",
"realized_pnl": "<string>",
"to": "<string>"
}{
"detail": {
"code": "<string>",
"message": "<string>"
}
}{
"detail": {
"code": "<string>",
"message": "<string>"
}
}{
"detail": {
"code": "<string>",
"message": "<string>"
}
}{
"detail": {
"code": "<string>",
"message": "<string>"
}
}Authorizations
Query Parameters
First IST day included; default: 29 days before to.
Last IST day included; default: today (IST).